/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.SaleToCustomer;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class SaleToCustomerDetail {
    public BigDecimal calcSubtotal() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public int getQtyInInterval() {
        return 0;
    }

    public Vector mi_compareSaleWithShipments() {
        return new Vector();
    }

    public Vector mi_compareSaleWithDeliveries() {
        return new Vector();
    }

    private int qty;
    private int UOM;
    private BigDecimal negotiatedPrice;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private ProductSaleMgmt.ShipmentToCustomer.ShipmentDetail lnkUnnamed;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.Product.Product lnkUnnamed1;
    private int status;
}


